<script setup>
    import { Link } from "@inertiajs/vue3";

    const props = defineProps({
        links: {
            type: Array,
            default: [],
        },
        filters: {
            type: Object,
            default: {}
        }
    })
</script>

<template>
    <div>
        <Component
            v-for="(link, index) in links"
            :key="index"
            :is="(!link.active && link.url) ? Link : 'span'"
            :href="link.url"
            :data="{filters: filters}"
            v-html="link.label"
            class="inline-block px-3"
            :class="{ 'text-gray-500': !link.url, 'font-bold': link.active }"
        />
    </div>
</template>
